diff --git a/vhdlparser/VhdlParser.h b/vhdlparser/VhdlParser.h
index bd02af3..f942612 100644
--- a/vhdlparser/VhdlParser.h
+++ b/vhdlparser/VhdlParser.h
@@ -13,9 +13,9 @@ namespace vhdl {
 namespace parser {
   struct JJCalls {
     int gen;
+    Token *first;
     int arg;
     JJCalls *next;
-    Token*     first;
     ~JJCalls() { if (next) delete next; }
     JJCalls() { next = NULL; arg = 0; gen = -1; first = NULL; }
   };
@@ -23,23 +23,23 @@ namespace parser {
 class VhdlParser {
    public:
 
-QCString abstract_literal();
+VhdlString abstract_literal();
 
-QCString access_type_definition();
+VhdlString access_type_definition();
 
-QCString actual_designator();
+VhdlString actual_designator();
 
-QCString actual_parameter_part();
+VhdlString actual_parameter_part();
 
-QCString actual_part();
+VhdlString actual_part();
 
-QCString adding_operator();
+VhdlString adding_operator();
 
-QCString aggregate();
+VhdlString aggregate();
 
-QCString alias_declaration();
+VhdlString alias_declaration();
 
-QCString alias_designator();
+VhdlString alias_designator();
 
 void allocator();
 
@@ -49,41 +49,41 @@ void architecture_declarative_part();
 
 void architecture_statement_part();
 
-QCString array_type_definition();
+VhdlString array_type_definition();
 
-QCString assertion();
+VhdlString assertion();
 
-QCString assertion_statement();
+VhdlString assertion_statement();
 
-QCString association_element();
+VhdlString association_element();
 
-QCString association_list();
+VhdlString association_list();
 
-QCString attribute_declaration();
+VhdlString attribute_declaration();
 
-QCString attribute_designator();
+VhdlString attribute_designator();
 
-QCString attribute_name();
+VhdlString attribute_name();
 
-QCString attribute_specification();
+VhdlString attribute_specification();
 
-QCString base();
+VhdlString base();
 
-QCString base_specifier();
+VhdlString base_specifier();
 
-QCString base_unit_declaration();
+VhdlString base_unit_declaration();
 
-QCString based_integer();
+VhdlString based_integer();
 
-QCString based_literal();
+VhdlString based_literal();
 
-QCString basic_identifier();
+VhdlString basic_identifier();
 
 void binding_indication();
 
-QCString bit_string_literal();
+VhdlString bit_string_literal();
 
-QCString bit_value();
+VhdlString bit_value();
 
 void block_configuration();
 
@@ -103,11 +103,11 @@ void case_statement();
 
 void case_statement_alternative();
 
-QCString character_literal();
+VhdlString character_literal();
 
-QCString choice();
+VhdlString choice();
 
-QCString choices();
+VhdlString choices();
 
 void component_configuration();
 
@@ -117,7 +117,7 @@ void component_instantiation_statement();
 
 void component_specification();
 
-QCString composite_type_definition();
+VhdlString composite_type_definition();
 
 void concurrent_assertion_statement();
 
@@ -127,9 +127,9 @@ void concurrent_signal_assignment_statement();
 
 void concurrent_statement();
 
-QCString condition();
+VhdlString condition();
 
-QCString condition_clause();
+VhdlString condition_clause();
 
 void conditional_signal_assignment();
 
@@ -145,45 +145,45 @@ void configuration_item();
 
 void configuration_specification();
 
-QCString constant_declaration();
+VhdlString constant_declaration();
 
-QCString constraint_array_definition();
+VhdlString constraint_array_definition();
 
 void context_clause();
 
-QCString constraint();
+VhdlString constraint();
 
 void context_item();
 
-QCString decimal_literal();
+VhdlString decimal_literal();
 
-QCString delay_mechanism();
+VhdlString delay_mechanism();
 
 void design_file();
 
 void design_unit();
 
-QCString designator();
+VhdlString designator();
 
-QCString direction();
+VhdlString direction();
 
 void disconnection_specification();
 
 void guarded_signal_specificatio();
 
-QCString discrete_range();
+VhdlString discrete_range();
 
-QCString element_association();
+VhdlString element_association();
 
-QCString element_declaration();
+VhdlString element_declaration();
 
-QCString entity_aspect();
+VhdlString entity_aspect();
 
-QCString entity_class();
+VhdlString entity_class();
 
-QCString entity_class_entry();
+VhdlString entity_class_entry();
 
-QCString entity_class_entry_list();
+VhdlString entity_class_entry_list();
 
 void entity_declaration();
 
@@ -191,53 +191,53 @@ void entity_declarative_item();
 
 void entity_declarative_part();
 
-QCString entity_designator();
+VhdlString entity_designator();
 
 void entity_header();
 
-QCString entity_name_list();
+VhdlString entity_name_list();
 
-QCString entity_specification();
+VhdlString entity_specification();
 
 void entity_statement();
 
 void entity_statement_part();
 
-QCString entity_tag();
+VhdlString entity_tag();
 
-QCString enumeration_literal();
+VhdlString enumeration_literal();
 
-QCString enumeration_type_definition();
+VhdlString enumeration_type_definition();
 
-QCString exit_statement();
+VhdlString exit_statement();
 
-QCString expression();
+VhdlString expression();
 
-QCString logop();
+VhdlString logop();
 
-QCString extended_identifier();
+VhdlString extended_identifier();
 
-QCString factor();
+VhdlString factor();
 
-QCString file_declaration();
+VhdlString file_declaration();
 
-QCString file_logical_name();
+VhdlString file_logical_name();
 
-QCString file_open_information();
+VhdlString file_open_information();
 
-QCString file_type_definition();
+VhdlString file_type_definition();
 
-QCString floating_type_definition();
+VhdlString floating_type_definition();
 
-QCString formal_designator();
+VhdlString formal_designator();
 
-QCString formal_parameter_list();
+VhdlString formal_parameter_list();
 
-QCString formal_part();
+VhdlString formal_part();
 
-QCString full_type_declaration();
+VhdlString full_type_declaration();
 
-QCString function_call();
+VhdlString function_call();
 
 void generate_statement();
 
@@ -245,91 +245,91 @@ void generate_scheme();
 
 void generic_clause();
 
-QCString generic_list();
+VhdlString generic_list();
 
 void generic_map_aspect();
 
-QCString group_constituent();
+VhdlString group_constituent();
 
-QCString group_constituent_list();
+VhdlString group_constituent_list();
 
-QCString group_declaration();
+VhdlString group_declaration();
 
-QCString group_template_declaration();
+VhdlString group_template_declaration();
 
 void guarded_signal_specification();
 
-QCString identifier();
+VhdlString identifier();
 
-QCString identifier_list();
+VhdlString identifier_list();
 
 void if_statement();
 
-QCString incomplete_type_declaration();
+VhdlString incomplete_type_declaration();
 
-QCString index_constraint();
+VhdlString index_constraint();
 
-QCString index_specification();
+VhdlString index_specification();
 
-QCString index_subtype_definition();
+VhdlString index_subtype_definition();
 
-QCString instantiation_unit();
+VhdlString instantiation_unit();
 
-QCString instantiation_list();
+VhdlString instantiation_list();
 
-QCString integer();
+VhdlString integer();
 
-QCString integer_type_definition();
+VhdlString integer_type_definition();
 
-QCString interface_declaration();
+VhdlString interface_declaration();
 
-QCString interface_element();
+VhdlString interface_element();
 
-QCString interface_file_declaration();
+VhdlString interface_file_declaration();
 
-QCString interface_list();
+VhdlString interface_list();
 
-QCString interface_variable_declaration();
+VhdlString interface_variable_declaration();
 
-QCString iteration_scheme();
+VhdlString iteration_scheme();
 
-QCString label();
+VhdlString label();
 
-QCString library_clause();
+VhdlString library_clause();
 
-QCString library_unit();
+VhdlString library_unit();
 
-QCString literal();
+VhdlString literal();
 
-QCString logical_operator();
+VhdlString logical_operator();
 
-QCString loop_statement();
+VhdlString loop_statement();
 
-QCString miscellaneous_operator();
+VhdlString miscellaneous_operator();
 
-QCString mode();
+VhdlString mode();
 
-QCString multiplying_operation();
+VhdlString multiplying_operation();
 
-QCString name();
+VhdlString name();
 
-QCString name_ext1();
+VhdlString name_ext1();
 
-QCString name_ext();
+VhdlString name_ext();
 
-QCString test_att_name();
+VhdlString test_att_name();
 
-QCString indexed_name();
+VhdlString indexed_name();
 
-QCString next_statement();
+VhdlString next_statement();
 
-QCString null_statement();
+VhdlString null_statement();
 
-QCString numeric_literal();
+VhdlString numeric_literal();
 
-QCString object_class();
+VhdlString object_class();
 
-QCString operator_symbol();
+VhdlString operator_symbol();
 
 void options();
 
@@ -347,95 +347,95 @@ void package_declarative_item();
 
 void package_declarative_part();
 
-QCString parameter_specification();
+VhdlString parameter_specification();
 
-QCString physical_literal();
+VhdlString physical_literal();
 
-QCString physical_type_definition();
+VhdlString physical_type_definition();
 
 void port_clause();
 
-QCString port_list();
+VhdlString port_list();
 
 void port_map_aspect();
 
-QCString primary();
+VhdlString primary();
 
 void primary_unit();
 
-QCString procedure_call();
+VhdlString procedure_call();
 
-QCString procedure_call_statement();
+VhdlString procedure_call_statement();
 
-QCString process_declarative_item();
+VhdlString process_declarative_item();
 
-QCString process_declarative_part();
+VhdlString process_declarative_part();
 
 void process_statement();
 
 void process_statement_part();
 
-QCString qualified_expression();
+VhdlString qualified_expression();
 
-QCString range();
+VhdlString range();
 
-QCString range_constraint();
+VhdlString range_constraint();
 
 void record_type_definition();
 
-QCString relation();
+VhdlString relation();
 
-QCString relation_operator();
+VhdlString relation_operator();
 
-QCString report_statement();
+VhdlString report_statement();
 
-QCString return_statement();
+VhdlString return_statement();
 
-QCString scalar_type_definition();
+VhdlString scalar_type_definition();
 
 void secondary_unit();
 
-QCString secondary_unit_declaration();
+VhdlString secondary_unit_declaration();
 
-QCString selected_name();
+VhdlString selected_name();
 
 void selected_signal_assignment();
 
 void selected_waveforms();
 
-QCString sensitivity_clause();
+VhdlString sensitivity_clause();
 
-QCString sensitivity_list();
+VhdlString sensitivity_list();
 
-QCString sequence_of_statement();
+VhdlString sequence_of_statement();
 
-QCString sequential_statement();
+VhdlString sequential_statement();
 
-QCString shift_expression();
+VhdlString shift_expression();
 
-QCString shift_operator();
+VhdlString shift_operator();
 
-QCString sign();
+VhdlString sign();
 
-QCString signal_assignment_statement();
+VhdlString signal_assignment_statement();
 
 void semi();
 
 void signal_declaration();
 
-QCString signal_kind();
+VhdlString signal_kind();
 
-QCString signal_list();
+VhdlString signal_list();
 
-QCString signature();
+VhdlString signature();
 
-QCString simple_expression();
+VhdlString simple_expression();
 
 void simple_name();
 
-QCString slice_name();
+VhdlString slice_name();
 
-QCString string_literal();
+VhdlString string_literal();
 
 void subprogram_body();
 
@@ -443,9 +443,9 @@ void subprogram_declaration();
 
 void subprogram_1();
 
-QCString subprogram_declarative_item();
+VhdlString subprogram_declarative_item();
 
-QCString subprogram_declarative_part();
+VhdlString subprogram_declarative_part();
 
 void subprogram_kind();
 
@@ -453,63 +453,63 @@ void subprogram_specification();
 
 void subprogram_statement_part();
 
-QCString subtype_declaration();
+VhdlString subtype_declaration();
 
-QCString subtype_indication();
+VhdlString subtype_indication();
 
-QCString suffix();
+VhdlString suffix();
 
-QCString target();
+VhdlString target();
 
-QCString term();
+VhdlString term();
 
-QCString timeout_clause();
+VhdlString timeout_clause();
 
-QCString type_conversion();
+VhdlString type_conversion();
 
-QCString type_declaration();
+VhdlString type_declaration();
 
-QCString type_definition();
+VhdlString type_definition();
 
-QCString type_mark();
+VhdlString type_mark();
 
-QCString unconstraint_array_definition();
+VhdlString unconstraint_array_definition();
 
-QCString use_clause();
+VhdlString use_clause();
 
-QCString variable_assignment_statement();
+VhdlString variable_assignment_statement();
 
-QCString variable_declaration();
+VhdlString variable_declaration();
 
-QCString wait_statement();
+VhdlString wait_statement();
 
-QCString waveform();
+VhdlString waveform();
 
-QCString waveform_element();
+VhdlString waveform_element();
 
-QCString protected_type_body();
+VhdlString protected_type_body();
 
 void protected_type_body_declarative_item();
 
 void protected_type_body_declarative_part();
 
-QCString protected_type_declaration();
+VhdlString protected_type_declaration();
 
 void protected_type_declarative_item();
 
 void protected_type_declarative_part();
 
-QCString context_ref();
+VhdlString context_ref();
 
 void context_declaration();
 
-QCString libustcont_stats();
+VhdlString libustcont_stats();
 
 void package_instantiation_declaration();
 
-QCString interface_package_declaration();
+VhdlString interface_package_declaration();
 
-QCString subprogram_instantiation_declaration();
+VhdlString subprogram_instantiation_declaration();
 
 void gen_assoc_list();
 
@@ -525,23 +525,23 @@ void generate_statement_body();
 
 void generate_statement_body1();
 
-QCString external_name();
+VhdlString external_name();
 
-QCString sig_stat();
+VhdlString sig_stat();
 
-QCString external_pathname();
+VhdlString external_pathname();
 
-QCString absolute_pathname();
+VhdlString absolute_pathname();
 
-QCString relative_pathname();
+VhdlString relative_pathname();
 
-QCString neg_list();
+VhdlString neg_list();
 
-QCString pathname_element();
+VhdlString pathname_element();
 
-QCString pathname_element_list();
+VhdlString pathname_element_list();
 
-QCString package_path_name();
+VhdlString package_path_name();
 
 void conditional_signal_assignment_wave();
 
@@ -569,20 +569,20 @@ void inout_stat();
 
 void else_stat();
 
-QCString interface_subprogram_declaration();
+VhdlString interface_subprogram_declaration();
 
-QCString iproc();
+VhdlString iproc();
 
-QCString ifunc();
+VhdlString ifunc();
 
-QCString param();
+VhdlString param();
 
 void parseInline();
  inline bool jj_2_1(int xla)
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_1() || jj_done);
+    return !jj_3_1() || jj_done;
  { jj_save(0, xla); }
   }
 
@@ -590,7 +590,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_2() || jj_done);
+    return !jj_3_2() || jj_done;
  { jj_save(1, xla); }
   }
 
@@ -598,7 +598,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_3() || jj_done);
+    return !jj_3_3() || jj_done;
  { jj_save(2, xla); }
   }
 
@@ -606,7 +606,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_4() || jj_done);
+    return !jj_3_4() || jj_done;
  { jj_save(3, xla); }
   }
 
@@ -614,7 +614,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_5() || jj_done);
+    return !jj_3_5() || jj_done;
  { jj_save(4, xla); }
   }
 
@@ -622,7 +622,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_6() || jj_done);
+    return !jj_3_6() || jj_done;
  { jj_save(5, xla); }
   }
 
@@ -630,7 +630,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_7() || jj_done);
+    return !jj_3_7() || jj_done;
  { jj_save(6, xla); }
   }
 
@@ -638,7 +638,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_8() || jj_done);
+    return !jj_3_8() || jj_done;
  { jj_save(7, xla); }
   }
 
@@ -646,7 +646,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_9() || jj_done);
+    return !jj_3_9() || jj_done;
  { jj_save(8, xla); }
   }
 
@@ -654,7 +654,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_10() || jj_done);
+    return !jj_3_10() || jj_done;
  { jj_save(9, xla); }
   }
 
@@ -662,7 +662,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_11() || jj_done);
+    return !jj_3_11() || jj_done;
  { jj_save(10, xla); }
   }
 
@@ -670,7 +670,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_12() || jj_done);
+    return !jj_3_12() || jj_done;
  { jj_save(11, xla); }
   }
 
@@ -678,7 +678,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_13() || jj_done);
+    return !jj_3_13() || jj_done;
  { jj_save(12, xla); }
   }
 
@@ -686,7 +686,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_14() || jj_done);
+    return !jj_3_14() || jj_done;
  { jj_save(13, xla); }
   }
 
@@ -694,7 +694,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_15() || jj_done);
+    return !jj_3_15() || jj_done;
  { jj_save(14, xla); }
   }
 
@@ -702,7 +702,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_16() || jj_done);
+    return !jj_3_16() || jj_done;
  { jj_save(15, xla); }
   }
 
@@ -710,7 +710,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_17() || jj_done);
+    return !jj_3_17() || jj_done;
  { jj_save(16, xla); }
   }
 
@@ -718,7 +718,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_18() || jj_done);
+    return !jj_3_18() || jj_done;
  { jj_save(17, xla); }
   }
 
@@ -726,7 +726,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_19() || jj_done);
+    return !jj_3_19() || jj_done;
  { jj_save(18, xla); }
   }
 
@@ -734,7 +734,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_20() || jj_done);
+    return !jj_3_20() || jj_done;
  { jj_save(19, xla); }
   }
 
@@ -742,7 +742,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_21() || jj_done);
+    return !jj_3_21() || jj_done;
  { jj_save(20, xla); }
   }
 
@@ -750,7 +750,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_22() || jj_done);
+    return !jj_3_22() || jj_done;
  { jj_save(21, xla); }
   }
 
@@ -758,7 +758,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_23() || jj_done);
+    return !jj_3_23() || jj_done;
  { jj_save(22, xla); }
   }
 
@@ -766,7 +766,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_24() || jj_done);
+    return !jj_3_24() || jj_done;
  { jj_save(23, xla); }
   }
 
@@ -774,7 +774,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_25() || jj_done);
+    return !jj_3_25() || jj_done;
  { jj_save(24, xla); }
   }
 
@@ -782,7 +782,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_26() || jj_done);
+    return !jj_3_26() || jj_done;
  { jj_save(25, xla); }
   }
 
@@ -790,7 +790,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_27() || jj_done);
+    return !jj_3_27() || jj_done;
  { jj_save(26, xla); }
   }
 
@@ -798,7 +798,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_28() || jj_done);
+    return !jj_3_28() || jj_done;
  { jj_save(27, xla); }
   }
 
@@ -806,7 +806,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_29() || jj_done);
+    return !jj_3_29() || jj_done;
  { jj_save(28, xla); }
   }
 
@@ -814,7 +814,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_30() || jj_done);
+    return !jj_3_30() || jj_done;
  { jj_save(29, xla); }
   }
 
@@ -822,7 +822,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_31() || jj_done);
+    return !jj_3_31() || jj_done;
  { jj_save(30, xla); }
   }
 
@@ -830,7 +830,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_32() || jj_done);
+    return !jj_3_32() || jj_done;
  { jj_save(31, xla); }
   }
 
@@ -838,7 +838,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_33() || jj_done);
+    return !jj_3_33() || jj_done;
  { jj_save(32, xla); }
   }
 
@@ -846,7 +846,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_34() || jj_done);
+    return !jj_3_34() || jj_done;
  { jj_save(33, xla); }
   }
 
@@ -854,7 +854,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_35() || jj_done);
+    return !jj_3_35() || jj_done;
  { jj_save(34, xla); }
   }
 
@@ -862,7 +862,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_36() || jj_done);
+    return !jj_3_36() || jj_done;
  { jj_save(35, xla); }
   }
 
@@ -870,7 +870,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_37() || jj_done);
+    return !jj_3_37() || jj_done;
  { jj_save(36, xla); }
   }
 
@@ -878,7 +878,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_38() || jj_done);
+    return !jj_3_38() || jj_done;
  { jj_save(37, xla); }
   }
 
@@ -886,7 +886,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_39() || jj_done);
+    return !jj_3_39() || jj_done;
  { jj_save(38, xla); }
   }
 
@@ -894,7 +894,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_40() || jj_done);
+    return !jj_3_40() || jj_done;
  { jj_save(39, xla); }
   }
 
@@ -902,7 +902,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_41() || jj_done);
+    return !jj_3_41() || jj_done;
  { jj_save(40, xla); }
   }
 
@@ -910,7 +910,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_42() || jj_done);
+    return !jj_3_42() || jj_done;
  { jj_save(41, xla); }
   }
 
@@ -918,7 +918,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_43() || jj_done);
+    return !jj_3_43() || jj_done;
  { jj_save(42, xla); }
   }
 
@@ -926,7 +926,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_44() || jj_done);
+    return !jj_3_44() || jj_done;
  { jj_save(43, xla); }
   }
 
@@ -934,7 +934,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_45() || jj_done);
+    return !jj_3_45() || jj_done;
  { jj_save(44, xla); }
   }
 
@@ -942,7 +942,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_46() || jj_done);
+    return !jj_3_46() || jj_done;
  { jj_save(45, xla); }
   }
 
@@ -950,7 +950,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_47() || jj_done);
+    return !jj_3_47() || jj_done;
  { jj_save(46, xla); }
   }
 
@@ -958,7 +958,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_48() || jj_done);
+    return !jj_3_48() || jj_done;
  { jj_save(47, xla); }
   }
 
@@ -966,7 +966,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_49() || jj_done);
+    return !jj_3_49() || jj_done;
  { jj_save(48, xla); }
   }
 
@@ -974,7 +974,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_50() || jj_done);
+    return !jj_3_50() || jj_done;
  { jj_save(49, xla); }
   }
 
@@ -982,7 +982,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_51() || jj_done);
+    return !jj_3_51() || jj_done;
  { jj_save(50, xla); }
   }
 
@@ -990,7 +990,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_52() || jj_done);
+    return !jj_3_52() || jj_done;
  { jj_save(51, xla); }
   }
 
@@ -998,7 +998,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_53() || jj_done);
+    return !jj_3_53() || jj_done;
  { jj_save(52, xla); }
   }
 
@@ -1006,7 +1006,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_54() || jj_done);
+    return !jj_3_54() || jj_done;
  { jj_save(53, xla); }
   }
 
@@ -1014,7 +1014,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_55() || jj_done);
+    return !jj_3_55() || jj_done;
  { jj_save(54, xla); }
   }
 
@@ -1022,7 +1022,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_56() || jj_done);
+    return !jj_3_56() || jj_done;
  { jj_save(55, xla); }
   }
 
@@ -1030,7 +1030,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_57() || jj_done);
+    return !jj_3_57() || jj_done;
  { jj_save(56, xla); }
   }
 
@@ -1038,7 +1038,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_58() || jj_done);
+    return !jj_3_58() || jj_done;
  { jj_save(57, xla); }
   }
 
@@ -1046,7 +1046,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_59() || jj_done);
+    return !jj_3_59() || jj_done;
  { jj_save(58, xla); }
   }
 
@@ -1054,7 +1054,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_60() || jj_done);
+    return !jj_3_60() || jj_done;
  { jj_save(59, xla); }
   }
 
@@ -1062,7 +1062,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_61() || jj_done);
+    return !jj_3_61() || jj_done;
  { jj_save(60, xla); }
   }
 
@@ -1070,7 +1070,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_62() || jj_done);
+    return !jj_3_62() || jj_done;
  { jj_save(61, xla); }
   }
 
@@ -1078,7 +1078,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_63() || jj_done);
+    return !jj_3_63() || jj_done;
  { jj_save(62, xla); }
   }
 
@@ -1086,7 +1086,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_64() || jj_done);
+    return !jj_3_64() || jj_done;
  { jj_save(63, xla); }
   }
 
@@ -1094,7 +1094,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_65() || jj_done);
+    return !jj_3_65() || jj_done;
  { jj_save(64, xla); }
   }
 
@@ -1102,7 +1102,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_66() || jj_done);
+    return !jj_3_66() || jj_done;
  { jj_save(65, xla); }
   }
 
@@ -1110,7 +1110,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_67() || jj_done);
+    return !jj_3_67() || jj_done;
  { jj_save(66, xla); }
   }
 
@@ -1118,7 +1118,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_68() || jj_done);
+    return !jj_3_68() || jj_done;
  { jj_save(67, xla); }
   }
 
@@ -1126,7 +1126,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_69() || jj_done);
+    return !jj_3_69() || jj_done;
  { jj_save(68, xla); }
   }
 
@@ -1134,7 +1134,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_70() || jj_done);
+    return !jj_3_70() || jj_done;
  { jj_save(69, xla); }
   }
 
@@ -1142,7 +1142,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_71() || jj_done);
+    return !jj_3_71() || jj_done;
  { jj_save(70, xla); }
   }
 
@@ -1150,7 +1150,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_72() || jj_done);
+    return !jj_3_72() || jj_done;
  { jj_save(71, xla); }
   }
 
@@ -1158,7 +1158,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_73() || jj_done);
+    return !jj_3_73() || jj_done;
  { jj_save(72, xla); }
   }
 
@@ -1166,7 +1166,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_74() || jj_done);
+    return !jj_3_74() || jj_done;
  { jj_save(73, xla); }
   }
 
@@ -1174,7 +1174,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_75() || jj_done);
+    return !jj_3_75() || jj_done;
  { jj_save(74, xla); }
   }
 
@@ -1182,7 +1182,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_76() || jj_done);
+    return !jj_3_76() || jj_done;
  { jj_save(75, xla); }
   }
 
@@ -1190,7 +1190,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_77() || jj_done);
+    return !jj_3_77() || jj_done;
  { jj_save(76, xla); }
   }
 
@@ -1198,7 +1198,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_78() || jj_done);
+    return !jj_3_78() || jj_done;
  { jj_save(77, xla); }
   }
 
@@ -1206,7 +1206,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_79() || jj_done);
+    return !jj_3_79() || jj_done;
  { jj_save(78, xla); }
   }
 
@@ -1214,7 +1214,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_80() || jj_done);
+    return !jj_3_80() || jj_done;
  { jj_save(79, xla); }
   }
 
